Subject: Re: Order #1816989
From: "LLPS Customer Service" <[email-masked]>
To: "Sue" <[email-masked]>
Date: Thu, 24 Apr 2014 16:26:18 -0400

Hello Sue.
We have record of an order being received and processed on February 12, 2014 for (2) complete sets of state and federal posters.  The order went out that same day, UPS ground and was delivered and signed for on 2/14/2014 at 9:53 am by Mike.  The tracking for the package is 1Z5A282E0396181406 .  If you have any further questions or concerns, please contact Customer Service at 877-321-4144 and reference your order number (above).
Thank you,
LLPS

From: LLPS 
Sent: Thursday, April 24, 2014 3:33 PM
To: [email-masked] 
Subject: LLPS Contact Us Submission

Name: Sue

Company: Scotts Auto Center, Inc.

E-mail Address: [email-masked]

Telephone: Not specified

Message: I am wondering when I will receive my 2014 
State & Federal Posters. I have ordered them on Feb. 3rd & my check
has been cashed on Feb. 13th. Still have not received any posters as
of 4-24... 

Please let me know what the status is on this order. 

Request generated on April 24th, 2014 at 3:33 PM EST from the IP address 74.79.196.14